# maak/plugs/todo.py
#
#

""" the todo of the day. """

## oolib imports

from oolib import Base, cmnds
from oolib.utils import get_hms

## basic imports

import time

## Todo class

class Todo(Base): pass

## todo store 

store = Todo()

## todo command
  
def handle_todo(event):
    if not event.rest: event.reply("todo what?") ; return
    todo = Todo()
    todo.txt = event.rest
    todo.timed = time.ctime(time.time())
    todo.save_stamp()
    event.reply("todo added")

cmnds.register("todo", handle_todo)

## done command

def handle_done(event):
    if not event.rest: event.reply("remove what todo ?") ; return
    c = 0
    for obj in store.objects():
        if event.rest in obj.txt: obj.deleted = True ; obj.save() ; c += 1
    event.reply("%s items removed" % c)

cmnds.register("done", handle_done)
